这个脚本为什么不能在gentoo上运行呢?
时间:2005-02-05
来源:互联网
这是重返德军总部的安装文件,我在红旗Linux上能运行,但在gentoo上这么提示
我把前面的脚本贴出来。
代码:
Verifying archive integrity...tail: 无法打开 ‘+6’ 来读取数据: 没有那个文件或目录 Error in check sums 3086482786 3031636474
代码:
#! /bin/sh skip=179 # This script was generated using Makeself 1.5.5 CRCsum=3031636474 MD5=6b2176e5726414257b6eb3374c6ae53b label="Return To Castle Wolfenstein" script=./setup.sh targetdir=wolf-setup scriptargs="1.4" keep=n TMPROOT=${TMPDIR:=/tmp} finish=true; xterm_loop=; [ x"$1" = x-xwin ] && { finish="echo Press Return to close this window...; read junk"; xterm_loop=1; shift 1; } if [ x"$1" = "x-help" -o x"$1" = "x--help" ]; then cat << tac 1) Getting help or info about $0 : $0 --help Print this message $0 --info Print embedded info : title, default target directory, embedded script ... $0 --lsm Print embedded lsm entry (or no LSM) $0 --list Print the list of files in the archive $0 --check Checks integrity of the archive 2) Running $0 : $0 [options] [additional arguments to embedded script] with following options (in that order) --confirm Ask before running embedded script --keep Do not erase target directory after running embedded script --target NewDirectory Extract in NewDirectory tac exit 0; fi if [ x"$1" = "x-lsm" -o x"$1" = "x--lsm" ]; then cat << EOF_LSM no LSM EOF_LSM exit 0; fi if [ "$1" = "--info" ]; then echo Identification: $label echo Target directory: $targetdir echo Uncompressed size: 18252 KB echo Compression: gzip echo Date of packaging: Tue Nov 5 15:01:42 CET 2002 echo script run after extraction: $script $scriptargs [ x"$keep" = xy ] && echo "directory $targetdir is permanent" || echo "$targetdir will be removed after extraction" exit 0; fi if [ "$1" = "--list" ]; then echo Target directory: $targetdir tail +$skip $0 | gzip -cd | tar tvf - exit 0; fi if [ "$1" = "--check" ]; then sum1=`tail +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1` [ "$sum1" != "$CRCsum" ] && { echo Error in checksums $sum1 $CRCsum exit 2; } if [ $MD5 != "00000000000000000000000000000000" ]; then # space separated list of directories [ x"$GUESS_MD5_PATH" = "x" ] && GUESS_MD5_PATH="/usr/local/ssl/bin /usr/local/bin /usr/bin" MD5_PATH="" for a in $GUESS_MD5_PATH; do #if which $a/md5 >/dev/null 2>&1 ; then if [ -x "$a/md5sum" ]; then MD5_PATH=$a; fi done if [ -x $MD5_PATH/md5sum ]; then md5sum=`tail +6 $0 | $MD5_PATH/md5sum | cut -b-32`; [ $md5sum != $MD5 ] && { echo Error in md5 sums $md5sum $MD5 exit 2 } || { echo check sums and md5 sums are ok; exit 0; } fi if [ ! -x $MD5_PATH/md5sum ]; then echo an embedded md5 sum of the archive exists but no md5 program was found in $GUESS_MD5_PATH echo if you have md5 on your system, you should try : echo env GUESS_MD5_PATH=\"FirstDirectory SecondDirectory ...\" $0 -check fi else echo check sums are OK ; echo $0 does not contain embedded md5 sum ; fi exit 0; fi [ x"$finish" = x ] && finish=true parsing=yes x11=y while [ x"$parsing" != x ]; do case "$1" in --confirm) verbose=y; shift;; --keep) keep=y; shift;; --nox11) x11=n; shift;; --target) if [ x"$2" != x ]; then targetdir="$2"; keep=y; shift 2; fi;; *) parsing="";; esac done if [ "$x11" = "y" ]; then if ! tty -s; then # Do we have a terminal? if [ x"$DISPLAY" != x -a x"$xterm_loop" = x ]; then # No, but do we have X? if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable GUESS_XTERMS="xterm dtterm eterm Eterm rxvt kvt konsole aterm" for a in $GUESS_XTERMS; do if which $a >/dev/null 2>&1; then XTERM=$a break fi done chmod a+x $0 || echo Please add execution rights on $0 if [ `echo "$0" | cut -c1` = / ]; then # Spawn a terminal! exec $XTERM -title "$label" -e "$0" -xwin "$@" else exec $XTERM -title "$label" -e "./$0" -xwin "$@" fi fi fi fi fi if [ "$keep" = y ]; then echo "Creating directory $targetdir"; tmpdir=$targetdir; else tmpdir="$TMPROOT/selfgz$$"; fi mkdir $tmpdir || { $echo 'Cannot create target directory' $tmpdir >&2 $echo 'you should perhaps try option -target OtherDirectory' >&2 eval $finish; exit 1; } location="`pwd`" echo=echo; [ -x /usr/ucb/echo ] && echo=/usr/ucb/echo if [ x$SETUP_NOCHECK != x1 ]; then $echo -n Verifying archive integrity... sum1=`tail +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1` [ $sum1 != $CRCsum ] && { $echo Error in check sums $sum1 $CRCsum eval $finish; exit 2; } echo OK fi if [ $MD5 != \"00000000000000000000000000000000\" ]; then # space separated list of directories [ x"$GUESS_MD5_PATH" = "x" ] && GUESS_MD5_PATH="/usr/local/ssl/bin /usr/local/bin /usr/bin" MD5_PATH="" for a in $GUESS_MD5_PATH; do #if which $a/md5 >/dev/null 2>&1 ; then if [ -x "$a/md5sum" ]; then MD5_PATH=$a; fi done if [ -x $MD5_PATH/md5sum ]; then md5sum=`tail +6 $0 | $MD5_PATH/md5sum | cut -b-32`; [ $md5sum != $MD5 ] && { $echo Error in md5 sums $md5sum $MD5 eval $finish; exit 2; } fi fi UnTAR() { tar xvf - || { echo Extraction failed. > /dev/tty; kill -15 $$; } ; } $echo -n "Uncompressing $label" cd $tmpdir ; res=3 [ "$keep" = y ] || trap 'echo Signal caught, cleaning up > /dev/tty; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 15 if (cd "$location"; tail +$skip $0; ) | gzip -cd | UnTAR | (while read a; do $echo -n .; done; echo; ); then chown -Rf `id -u`.`id -g` . res=0; if [ x"$script" != x ]; then if [ x"$verbose" = xy ]; then $echo "OK to execute: $script $scriptargs $* ? [Y/n] " read yn [ x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY ] && { $script $scriptargs $*; res=$?; } else $script $scriptargs $*; res=$? fi [ $res != 0 ] && echo "The program returned an error code ($res)" fi [ "$keep" = y ] || { cd $TMPROOT; /bin/rm -rf $tmpdir; } else echo "Cannot decompress $0"; eval $finish; exit 1 fi eval $finish; exit $res END_OF_STUB
作者: graydream 发布时间: 2005-02-05
初步判定是权限或md5校验失败。
你不妨把gentoo下的cp回红旗下,看看是不是也不可以了。
你不妨把gentoo下的cp回红旗下,看看是不是也不可以了。
作者: hutigers 发布时间: 2005-02-05
考过去是好用的,在我电脑上虚拟的rh73里也是好用的。
前些天下载的模拟城市3000也出现这样的问题。郁闷ing
前些天下载的模拟城市3000也出现这样的问题。郁闷ing
作者: graydream 发布时间: 2005-02-05
在Gentoo为什么不emerge ?
作者: Debentoo Gao 发布时间: 2005-02-05
gentoo里面有这个么?我没找到
root@Jack /home/gray # emerge -s wolf
Searching...
[ Results for search key : wolf ]
[ Applications found : 2 ]
* games-arcade/solarwolf
Latest version available: 1.5
Latest version installed: [ Not Installed ]
Size of downloaded files: 1,997 kB
Homepage: http://www.pygame.org/shredwheat/solarwolf/
Description: action/arcade recreation of SolarFox
License: LGPL-2.1
* games-fps/wolfgl
Latest version available: 0.93-r1
Latest version installed: [ Not Installed ]
Size of downloaded files: 1,238 kB
Homepage: http://wolfgl.sourceforge.net/
Description: Wolfenstein and Spear of Destiny port using OpenGL
License: GPL-2
root@Jack /home/gray # emerge -s wolf
Searching...
[ Results for search key : wolf ]
[ Applications found : 2 ]
* games-arcade/solarwolf
Latest version available: 1.5
Latest version installed: [ Not Installed ]
Size of downloaded files: 1,997 kB
Homepage: http://www.pygame.org/shredwheat/solarwolf/
Description: action/arcade recreation of SolarFox
License: LGPL-2.1
* games-fps/wolfgl
Latest version available: 0.93-r1
Latest version installed: [ Not Installed ]
Size of downloaded files: 1,238 kB
Homepage: http://wolfgl.sourceforge.net/
Description: Wolfenstein and Spear of Destiny port using OpenGL
License: GPL-2
作者: graydream 发布时间: 2005-02-05
引用:
作者: graydream
gentoo里面有这个么?我没找到
|
# emerge rtcw
完了之后要将PAK0.PK3 MP_PAK0.PK3 MP_PAK1.PK3 MP_PAK2.PK3 SP_PAK1.PK3和 SP_PAK2.PK3之类的文档拷至/opt/rtcw/main。启动单机游戏用wolfsp,多机用wolf。
作者: torres 发布时间: 2005-02-05
相关阅读 更多
热门阅读
-
office 2019专业增强版最新2021版激活秘钥/序列号/激活码推荐 附激活工具
阅读:74
-
如何安装mysql8.0
阅读:31
-
Word快速设置标题样式步骤详解
阅读:28
-
20+道必知必会的Vue面试题(附答案解析)
阅读:37
-
HTML如何制作表单
阅读:22
-
百词斩可以改天数吗?当然可以,4个步骤轻松修改天数!
阅读:31
-
ET文件格式和XLS格式文件之间如何转化?
阅读:24
-
react和vue的区别及优缺点是什么
阅读:121
-
支付宝人脸识别如何关闭?
阅读:21
-
腾讯微云怎么修改照片或视频备份路径?
阅读:28